Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateTextOperator Class Reference

The class eZTemplateTextOperator does. More...

## Public Member Functions
| __construct ()
| operatorList ()
| operatorTemplateHints ()
| namedParameterPerOperator ()
| namedParameterList ()
| indentTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| concatTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $ConcatName
| $Operators
| $IndentName

## Detailed Description

The class eZTemplateTextOperator does.

Definition at line 17 of file eztemplatetextoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateTextOperator::__construct | ( |  | ) |

Definition at line 19 of file eztemplatetextoperator.php.

## Member Function Documentation

## ◆ concatTransformation()

eZTemplateTextOperator::concatTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 187 of file eztemplatetextoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createConstantElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ indentTransformation()

eZTemplateTextOperator::indentTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 81 of file eztemplatetextoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZTemplateTextOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Handles concat and indent operators.

Definition at line 225 of file eztemplatetextoperator.php.

References eZDebug\writeError().

## ◆ namedParameterList()

eZTemplateTextOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList

Definition at line 68 of file eztemplatetextoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateTextOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 60 of file eztemplatetextoperator.php.

## ◆ operatorList()

eZTemplateTextOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 34 of file eztemplatetextoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateTextOperator::operatorTemplateHints | ( |  | ) |

Definition at line 39 of file eztemplatetextoperator.php.

## Member Data Documentation

## ◆ $ConcatName

eZTemplateTextOperator::$ConcatName

Definition at line 277 of file eztemplatetextoperator.php.

## ◆ $IndentName

eZTemplateTextOperator::$IndentName

Definition at line 279 of file eztemplatetextoperator.php.

## ◆ $Operators

eZTemplateTextOperator::$Operators

Definition at line 278 of file eztemplatetextoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztemplatetextoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.